Package com.collabnet.ce.soap60.webservices.tracker

# Class ArtifactDetailSoapList

java.lang.Object
com.collabnet.ce.soap60.webservices.tracker.ArtifactDetailSoapList

public class ArtifactDetailSoapList extends Object
ArtifactDetailSoapList class represents a list of artifacts. It contains a sequence of ArtifactDetailSoapRow objects. Note that the ArtifactDetailSoapRow object is strictly a data container used for one-way fetching of data about a list of objects. Its "setter" methods cannot be used to change data on the server.
Change History
Release: 4.4

- Changed Flex fields from being SoapNamedValues to being SoapFieldValues

Release: 6.1

- Added id and title of planning folder.
- Added Id for reportedInRelease field.
- Added Id for resolvedInRelease field.
- Added points field.
- Added autosumming field.
- Added tracker icon field.
- Renamed estimatedHours and actualHours to estimatedEffort and actualEffort, and added remainingEffort field.

Since:
  4.3-HOTFIX1

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ArtifactDetailSoapList()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ArtifactDetailSoapRow[]`
  `getDataRows()`
  `int`
  `getFullListSize()`
  Returns the total number of rows that match the current search criteria, even if a subset of rows has been fetched with getDetailedArtifactList() (by specifying a start index and number of rows).
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setDataRows(ArtifactDetailSoapRow[] rows)`
  `void`
  `setFullListSize(int fullListSize)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ArtifactDetailSoapList

    public ArtifactDetailSoapList()

- ## Method Details

  - ### getDataRows

    public ArtifactDetailSoapRow[] getDataRows()

  - ### setDataRows

    public void setDataRows(ArtifactDetailSoapRow[] rows)

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)

  - ### setFullListSize

    public void setFullListSize(int fullListSize)
    Parameters:
      `fullListSize` -

  - ### getFullListSize

    public int getFullListSize()
    Returns the total number of rows that match the current search criteria, even if a subset of rows has been fetched with getDetailedArtifactList() (by specifying a start index and number of rows).
    Returns:
      an integer with the size.